<?php
if ( post_password_required() ) {
	return;
}?>

<div id="comments" class="comments-area"><?php
	if ( have_comments() ) : ?>

	    <h3><?php comments_number(esc_html__('No Comments','cryptapp'), esc_html__('Comment ( 1 )','cryptapp'), esc_html__('Comments ( % )','cryptapp') );?></h3>

		<?php the_comments_navigation(); ?>

        <ul class="commentlist">
     		<?php wp_list_comments( array( 'callback' => 'cryptapp_comment_style' ) ); ?>
        </ul>

        <?php the_comments_navigation();

    endif;

	if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) : ?>
        <p class="nocomments"><?php esc_html_e( 'Comments are closed.','cryptapp'); ?></p><?php
    endif;

    $fields = array(
		'author' => "<div class='column dt-sc-one-half'><p><input id='author' name='author' type='text' placeholder='".esc_attr__("Name",'cryptapp')."' required /></p>",
		'email'  => "<p> <input id='email' name='email' type='email' placeholder='".esc_attr__("Email",'cryptapp')."' required /> </p></div>",
    );

	$comment = "<div class='column dt-sc-one-half first'><textarea id='comment' name='comment' cols='5' rows='3' placeholder='".esc_attr__("Comment",'cryptapp')."' ></textarea></div>";

	if( cs_get_option('privacy-commentform') == "true" ) {
		$fields['comment-form-dt-privatepolicy'] = '<p class="comment-form-dt-privatepolicy"><input id="comment-form-dt-privatepolicy" name="comment-form-dt-privatepolicy" type="checkbox" value="yes"><label for="comment-form-dt-privatepolicy">'.do_shortcode( cs_get_option('privacy-commentform-msg') ).'</label></p>';
	}	

	comment_form( array(
		'fields'        => $fields ,
		'comment_field' =>  $comment,
		'label_submit'  => esc_attr__( 'Comment', 'cryptapp' )
	) );?></div><!-- .comments-area -->